/*  Project: Open Source Gmini Tools
    file: LCD.h, abstraction of LCD

    Copyright (C) 2004  The gmEmu Project <gmemu@donat.org>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef LCD_H
#define LCD_H

class Emulator;

class LCD {
 private:

   static const int LCDWidth = 160;
   static const int LCDHeight = 9;
   u8 mem[LCDWidth][LCDHeight];
   u8 curLine;
   u8 curCol;
   Emulator *gmini;
   bool xflip, yflip;
 public:
   LCD( Emulator * gm );
   void write( u8 reg1, u8 reg2 );
   void dump(  );
   bool updated;
   void dumpImage(u8* buf);
};

#endif
