#include "gmregisters.h"

#include <stdlib.h>
#include <qlayout.h>
#include <qstring.h>

GMRegisters::GMRegisters(QWidget *parent, const char *name)
 : QWidget(parent, name)
{
  int i;
  QGridLayout *grid = new QGridLayout(this, 2, NB_REG);
  
  for(i = 0; i < NB_REG; i++)
  {
    reg_lbl[i] = new QLabel(this);
    reg_lbl[i]->setText("PC");
    grid->addWidget(reg_lbl[i], i, 0);
    reg_edt[i] = new QLineEdit(this);
    reg_edt[i]->setText("31337");
    grid->addWidget(reg_edt[i], i, 1);
  }
}


GMRegisters::~GMRegisters()
{
}


void GMRegisters::set(int n, int value)
{
  QString s;
  s.sprintf("%x", value);
  reg_edt[n]->setText(s);
}

int GMRegisters::get(int n)
{
  return atoi(reg_edt[n]->text());
}
