/*  Project: Open Source Gmini Tools
    file: Console.h, header file for Console.cpp 

    Copyright (C) 2004  The gmEmu Project <gmemu@donat.org>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef ConsoleH
#define ConsoleH

#include <iostream>
#include <fstream>

using namespace std;

class Console {
 private:
 public:
   ofstream file;
   Console(  ):file( "console.log", ios::out | ios::trunc ) {
   };

   ~Console(  ) {
      file.close(  );
   }
   void output( const char *fmt, ... )
     __attribute__ ( ( format( printf, 2, 3 ) ) );

};
extern Console console;
#endif
