#!/bin/bash
if [ -z "$1" ]
then
  echo "Usage: `basename $0` filename"
  exit 1
fi
TEMPFILE=$1.conv
CR='\015'
tr -d $CR < $1 > $TEMPFILE
cmp -s $1 $TEMPFILE
if [ $? -eq 1 ]
then
mv -f $TEMPFILE $1
echo "Removed carriage returns from $1"
else
rm -f $TEMPFILE
fi
exit 0
